AstrologyAPI

Use access token to call astrology api.

Learn More

Puja Suggestion

POSThttps://json.astrologyapi.com/v1/puja_suggestion
Copy

The puja_suggestion API provides puja suggestions based on the user's horoscope and planetary combinations. The response includes a summary of the puja suggestions and a list of suggested pujas, each with a title, description, and one-line recommendation.

POST/puja_suggestion
Copy
1curl --location 'https://json.astrologyapi.com/v1/puja_suggestion' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5
13}'
14
200Response
Copy
1{
2  "summary": "Following are the puja suggestions based on your horoscope and planetary combinations.",
3  "suggestions": [
4    {
5      "status": true,
6      "priority": 5,
7      "title": "Kal Sarpa Dosha Shanti Pujan",
8      "puja_id": "KAL_SARPA",
9      "summary": "If all the 7 planets are situated between Rahu and Ketu then Kaal Sarp Yog is formed.According to the situation of Rahu in 12 houses of horoscope there are Kaal Sarp Yogas of 12 types. These are : 1. Anant, 2. Kulik, 3. Vasuki, 4. Shankhpal, 5. Padma, 6. Mahapadma, 7. Takshak, 8. Karkotak, 9. Shankhchud, 10. Ghaatak, 11. Vishdhar and 12. Sheshnag. The Kaal Sarp Yog is of two types- Ascending and Descending. If all the 7 planets are eaten away by Rahus mouth then it is Ascending Kaal Sarp Yog. If all planets are situated in back of Rahu then Descending Kaal Sarp Yog is formed.",
10      "one_line": "You have ascending kalsarpa dosha direction, which is treated as powerful. The KalSarpa Dosha is having partial effect in your horoscope."
11    },
12    {
13      "status": true,
14      "priority": 3,
15      "title": "Nakshatra Pujan",
16      "puja_id": "NAKSHATRA_PUJA",
17      "summary": "Moon nakshatra is one of the most important nakshatra is horoscope. In horoscope, fifth, seventh and ninth houses are for children, life partner and luck respectively. And if their lords are in vedha (obstructive position) with Moon naksahtra then various hardships might be faced in your life. To reduce the effect of obsctructions and make your constellations in sync with other house lords, Nakshatra Puja is recommended.",
18      "one_line": "Ninth house lord is in VIPAT vedha with your Moon nakshatra and therefore it is recommended that you perform nakshatra puja to mitigate evil effects of vedha."
19    }
20  ]
21}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.